mia-3disosurface-from-stack(1)

NAME
mia-3disosurface-from-stack - Extract an ist-surface froma a 3D image.

SYNOPSIS
mia-3disosurface-from-stack -i <in-image> -o <out-mesh> [options]

DESCRIPTION
mia-3disosurface-from-stack This program is used to extract an iso-surface from the input gray scale image given as slices.

OPTIONS

  File-IO

    -i --in-image=(input, required); string
        input image filename pattern

    -o --out-mesh=(output, required); string
        output mesh

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Image options

    -s --iso-value=128
        iso-value of iso surface to be extracted

  Mesh options

    -f --max-faces=-1
        maximum number of Faces,

    -e --max-edges=-1
        maximum number of Edges

    -c --max-cost=0.1
        maximum cost for edge collaps

    -r --ratio=4
        ratio of faces(edges) to target number, at which the optimization changes from edge-length to volume-optimized

    -w --reverse-winding
        reverse the winding of the triangles in order to make normals point away from the high intensity area

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

EXAMPLE
Extract the surface from an image set with numbers imageXXXX.png that corresponds to the value 30 and stop optimizing when the mesh consists of less than 100000 triangles.

mia-3disosurface-from-stack -i image0000.png -o mesh.vmesh -s 30 -f 100000

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.